# Generated by Django 5.1.2 on 2025-01-17 20:38

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="Bento",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("name", models.CharField(max_length=255)),
                ("updated_at", models.DateTimeField(auto_now=True)),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="LoadedBento",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("name", models.CharField(max_length=255)),
                ("config", models.JSONField(default=dict)),
                ("settings", models.JSONField(default=dict)),
            ],
            options={
                "get_latest_by": "updated_at",
            },
        ),
        migrations.CreateModel(
            name="RemoteClient",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("created_at", models.DateTimeField(auto_now_add=True)),
                ("updated_at", models.DateTimeField(auto_now=True)),
                ("name", models.CharField(max_length=255)),
                (
                    "client_id",
                    models.CharField(db_index=True, max_length=255, unique=True),
                ),
                (
                    "client_type",
                    models.CharField(
                        choices=[("bento_box", "BentoBox")], max_length=255
                    ),
                ),
                ("client_description", models.TextField(default="")),
                ("ack", models.BooleanField(default=False)),
                ("message", models.TextField(default="")),
                ("bento_box", models.JSONField(default=dict)),
            ],
            options={
                "indexes": [models.Index(fields=["client_id"], name="client_id_idx")],
                "unique_together": {("name", "client_id")},
            },
        ),
    ]
